PyExtendedCursor (Jython API documentation)
Date: 2017-06-30

com.ziclix.python.sql

## Class PyExtendedCursor

- java.lang.Object
- - org.python.core.PyObject
  - - com.ziclix.python.sql.PyCursor
    - - com.ziclix.python.sql.PyExtendedCursor

- All Implemented Interfaces:
    WarningListener, Serializable, ClassDictInit, ContextManager, Traverseproc

      public class PyExtendedCursor
      extends PyCursor

  A cursor with extensions to the DB API 2.0.
  Author:
    brian zimmer
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal, TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `__findattr_ex__(String name)` Finds the attribute.
    `static void` | `classDictInit(PyObject dict)` Initializes the module.
    `String` | `toString()` String representation of the object.

    - ### Methods inherited from class com.ziclix.python.sql.PyCursor

      `__del__, __enter__, __enter__, __exit__, __exit__, __iter__, __iternext__, __setattr__, callproc, close, execute, executemany, fetchall, fetchmany, fetchone, getDataHandler, hasParams, isSeq, isSeqSeq, next, nextset, prepare, refersDirectlyTo, scroll, traverse, warning`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      String representation of the object.
      Overrides:
        `toString` in class `PyCursor`
      Returns:
        a string representation of the object.

    - #### classDictInit

          public static void classDictInit(PyObject dict)

      Initializes the module.
      Parameters:
        `dict` -

    - #### __findattr_ex__

          public PyObject __findattr_ex__(String name)

      Finds the attribute.
      Overrides:
        `__findattr_ex__` in class `PyCursor`
      Parameters:
        `name` - the name of the attribute of interest
      Returns:
        the value for the attribute of the specified name

Jython homepage